### Enumeration

# Gtk SystemSetting

#### Declaration

    enum Gtk.SystemSetting

#### Description [src]

Values that can be passed to the `Gtk.WidgetClass.system_setting_changed` vfunc.

The values indicate which system setting has changed. Widgets may need to drop caches, or react otherwise.

Most of the values correspond to `GtkSettings` properties.

More values may be added over time.

#### Members

Name | Description
--- | ---
`GTK_SYSTEM_SETTING_DPI` | The `GtkSettings:gtk-xft-dpi` setting has changed.
`GTK_SYSTEM_SETTING_FONT_NAME` | The `GtkSettings:gtk-font-name` setting has changed.
`GTK_SYSTEM_SETTING_FONT_CONFIG` | The font configuration has changed in a way that requires text to be redrawn. This can be any of the `GtkSettings:gtk-xft-antialias`, `GtkSettings:gtk-xft-hinting`, `GtkSettings:gtk-xft-hintstyle`, `GtkSettings:gtk-xft-rgba` or `GtkSettings:gtk-fontconfig-timestamp` settings.
`GTK_SYSTEM_SETTING_DISPLAY` | The display has changed.
`GTK_SYSTEM_SETTING_ICON_THEME` | The icon theme has changed in a way that requires icons to be looked up again.